## org.apache.fop.fo.flow
Class Inline

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.fo.FObjMixed
                        |
                        +--org.apache.fop.fo.flow.Inline

public class Inline
extends FObjMixed

Inner Class Summary
`static class` `Inline.Maker`

Inner classes inherited from class org.apache.fop.fo.FObjMixed
`FObjMixed.Maker`

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Field Summary
`protected boolean` `lineThrough`
`protected boolean` `overlined`
`protected boolean` `underlined`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`Inline(FObj parent, PropertyList propertyList)`

Method Summary
`protected void` `addCharacters(char[] data, int start, int length)` adds characters (does nothing here)
`static FObj.Maker` `maker()`

Methods inherited from class org.apache.fop.fo.FObjMixed
`layout`

Methods inherited from class org.apache.fop.fo.FObj
`end, generatesReferenceAreas, getContentWidth, getName, getProperty, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### underlined

    protected boolean underlined

### overlined

    protected boolean overlined

### lineThrough

    protected boolean lineThrough

Constructor Detail

### Inline

    public Inline(FObj parent,
                  PropertyList propertyList)
           throws FOPException

Method Detail

### maker

    public static FObj.Maker maker()

### addCharacters

    protected void addCharacters(char[] data,
                                 int start,
                                 int length)

  Description copied from class: FObj
  adds characters (does nothing here)
  Overrides:
    addCharacters in class FObjMixed
  Tags copied from class: FObj
  Parameters:
    `data` - text
    `start` - start position
    `length` - length of the text

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.